[CentOS] rt3 3.8.2 latest version as rpm for C5?

Rainer Duffner rainer at ultra-secure.de
Fri Apr 17 07:02:18 UTC 2009


Am 17.04.2009 um 05:16 schrieb Mark Pryor:

>
>
> After trying for 2 hours, I ran into 3 brickwall-issues. Like you  
> found, there are two base perl modules which require newer versions  
> than that which comes with 5.3. These modules are
>    File::Temp  and Encode   (core)
>
> cpan2rpm can package them OK, but there are fatal transaction check  
> errors when installing.
>
> Mr. JV is the author of RT3 and DBIx::SearchBuilder. The  
> SearchBuilder module also stopped me (briefly) with a dependency on  
> DBD::Oracle. To grab this from CPAN requires the supporting Orable  
> Libs. I altered the spec and removed any Oracle depends.
>


Shouldn't it only have this dependency, if you actually use the Oracle  
backend?


> These 3 issues were enough to cause me to give up.


Just compile perl yourself and install it somewhere into /opt or /usr/ 
local.
That's a lesson I learned 5 years ago - while you should work with the  
distro and not against it, you should also work with the software you  
want to install and not against it.
The other thing I learned back then is that it installs flawlessly on  
FreeBSD - and FreeBSD doesn't rely on Perl and Python to run the base  
OS.



Rainer


More information about the CentOS mailing list